curl --request GET \
--url https://training-suite.app.simplismart.ai/job/get/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://training-suite.app.simplismart.ai/job/get/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://training-suite.app.simplismart.ai/job/get/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"experiment_name": "<string>",
"status": "QUEUED",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"progress": 123,
"dataset_config": {
"preprocessing": {
"lazy_tokenize": true,
"streaming": true,
"prompt": {
"system": "<string>",
"max_length": 123,
"template": "<string>"
}
},
"split": {
"type": "random",
"ratios": [
123
]
}
},
"model_details": {
"base_model": "<string>",
"ownership": "public",
"source_type": "hf",
"model_type": "llm",
"quantization": {
"quant_bits": 4
}
},
"train_config": {
"type": "sft",
"torch_dtype": "float16",
"task_type": "causal_lm",
"train_type": "lora",
"tuner_backend": "<string>",
"hyperparameters": {
"num_epochs": 123,
"per_device_train_batch_size": 123,
"per_device_eval_batch_size": 123,
"gradient_checkpointing": true,
"save_steps": 123,
"save_total_limit": 123,
"eval_steps": 123,
"logging_steps": 123,
"learning_rate": 123,
"dataloader_num_workers": 123
},
"adapter_config": {
"r": 123,
"alpha": 123,
"dropout": 123,
"targets": [
"<string>"
]
},
"distributed": {
"type": "ddp"
}
},
"dataset_details": {
"dataset_name": "<string>",
"dataset_path": "<string>",
"dataset_description": "<string>",
"dataset_type": "jsonl",
"dataset_format": "sharegpt",
"source_type": "s3",
"ownership": "public",
"secret_id": "<string>",
"region": "<string>"
},
"infra_config": {
"gpu_type": "h100",
"gpu_count": 2,
"infra_type": "<string>",
"node_count": 2
},
"output_model_path": "<string>",
"error_message": "<string>"
}Retrieve List of LLM/VLM Jobs By Org ID
Fetches a list of all LLM or VLM training jobs associated with the specified organization.
Authorizations
JWT token for authentication
Headers
Bearer token for authentication and authorization.
Query Parameters
Organization ID to which the training job belongs.
Unique identifier for the training job request.
Response
The requested training job details were retrieved successfully.
Unique identifier for the training job request
Name of the training experiment
Current status of the training job
QUEUED, RUNNING, COMPLETED, FAILED, CANCELED Timestamp when the job was created
Timestamp when the job was last updated
Timestamp when the job started running
Timestamp when the job completed
Progress percentage of the training job (0-100)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Path to the trained model output (when completed)
Error message if the job failed
Was this page helpful?